Installation error: INSTALL_FAILED_INSUFFICIENT_STORAGE [问题点数:40分,结帖人BuleRiver]

一键查看最优答案

确认一键查看最优答案?
本功能为VIP专享,开通VIP获取答案速率将提升10倍哦!
Bbs4
本版专家分:1121
结帖率 99.17%
Bbs2
本版专家分:321
Bbs4
本版专家分:1121
Bbs7
本版专家分:11477
Blank
黄花 2014年3月 移动开发大版内专家分月排行榜第二
Bbs4
本版专家分:1121
Bbs2
本版专家分:321
Bbs2
本版专家分:177
Bbs4
本版专家分:1121
Bbs4
本版专家分:1189
Bbs4
本版专家分:1121
Bbs4
本版专家分:1189
Bbs4
本版专家分:1121
Bbs4
本版专家分:1121
Bbs1
本版专家分:0
Bbs1
本版专家分:0
Bbs1
本版专家分:0
Bbs1
本版专家分:0
Bbs1
本版专家分:0
Android Installation error: INSTALL_FAILED_INSUFFICIENT_STORAGE解决方法

在Android上跑,报错了:<em>Installation</em>&amp;amp;amp;nbsp;<em>error</em>:&amp;amp;amp;nbsp;<em>INSTALL_FAILED_INSUFFICIENT_STORAGE</em> 最后在某个角落发现了解决的方法: 在项目文件下:AndroidManifest.xml文件中增加一行代价就行了。 如:&amp;amp;amp;lt;manifes...

解决INSTALL_FAILED_VERSION_DOWNGRADE

网上查INSTALL_FAILED_VERSION_DOWNGRADE找到很多的解决办法,但是都是说提高versioncode值。若是两个人开发一款app或者新拿来的机器想把apk run进去就会出现这总问题,解决办法如下: 1、打开cmd,进入sdk/platform-tools,执行adb shell命令 2、在root下执行cd /system/app,再执行rm xxxx.apk和rm

错误: INSTALL_FAILED_VERSION_DOWNGRADE

安卓新版本的 ADT 在安装apk的时候,会检查当前要运行的版本AndroidManifest.xml 中的versionCode 和手机中已经安装过的该程序的versionCode 做对比,如果手机中的versionCode 比较高,ADT 就会提示出错:INSTALL_FAILED_VERSION_DOWNGRADE 所以,解决这个问题就是修...

关于Installation error: Unknown failure错误

可能的解决方案: (检查允许USB安装应用是否打开) 关闭MIUI优化 这是针对小米手机的,该手机的开发者选项中存在“启用MIUI优化”,将该选项关闭后可有效解决该问题。 (我的手机是这个原因,不一定具有普遍性) ...

解决Installation error: INSTALL_FAILED_INSUFFICIENT_STORAGE

解决 <em>Installation</em> <em>error</em>: <em>INSTALL_FAILED_INSUFFICIENT_STORAGE</em> 试试修改一下manifest文件 <manifest xmlns:android=

安装APP损坏,出现[INSTALL_FAILED_DEXOPT]的解决办法

http://blog.renren.com/blog/232067201/494816115         今天下午,我在打开whatsapp的时候,破玩意儿又提示我有新版本要不要更新,于是我选择了Yes。经过缓慢的安装之后,忽然提示我installed unsuccessful。我一下脑袋就大了,我是安装的没有修改的官方包,更新又是自动下载的,为什么还会出现这种情况?

关于 Failure [INSTALL_FAILED_DEXOPT] 的解决方案。

一同事在修改了package/app下面的工程之后,不想full build于是直接mm之后 找到APK直接adb install报错如下 Failure [INSTALL_FAILED_DEXOPT]   先来说说问题产生的原因。 如果我们在user版本用mm编译apk时,会在out目录下生成.apk和.odex两个文件,是为了加快运行速度,把dex分出来做的预优化处理。但是

android 中向手机端安装apk 的时候报出 INSTALL_FAILED_INSUFFICIENT_STORAGE 错误的解决方法

<em>INSTALL_FAILED_INSUFFICIENT_STORAGE</em> 字面意思是:由于存储空间不足导致安装失败 我们的应用程序一般是安装到TF卡空间中。首先我想到的便是检查一下TF卡空间,发现还有200M可用空间。因此排除此原因。 到 必应 上搜索 <em>INSTALL_FAILED_INSUFFICIENT_STORAGE</em> 关键字 得到答案大部分都是这个: Installat

版本升级Installation error: INSTALL_FAILED_VERSION_DOWNGRADE问题解决

问题:在测试安装应用时,adb install报错: <em>Installation</em> <em>error</em>: INSTALL_FAILED_VERSION_DOWNGRADE原因:已经安装的应用的版本比想在要安装的版本高。解决办法:1 卸载原来的应用,重新安装;2 修改AndroidManifest.xml 的versionCode。versionCode越大版本越高。

安装LaTeX 安装失败总是说goodbye问题解决

安装LaTeX 安装失败总是说goodbye问题解决 ![LaTeX安装失败图片](https://img-blog.csdnimg.cn/2018122510322944.jpg?x-oss- process=image/watermark,type_ZmFuZ3poZW5naGVpdGk,shadow_10,text_aHR0cHM6Ly9ibG9nLmNzZG4ubmV0L3dlaXhpb...

android 6.0 权限的坑

Android 6.0 23 对应用的权限做保护修改, 参考:  https://developer.android.com/training/permissions/requesting.html 获取危险权限时只能动态(弹窗)获取授权,或者降低编译sdk版本 降低版本后会导致应用不能升级更新,只能卸载重装,慎重啊 更新时报:INSTALL_FAILED_PERMISSION_MODEL

AndroidStudio中运行项目出现Installation failed with message INSTALL_FAILED_CONFLICTING_PROVIDER

当遇到这样的问题的时候一般问题是问题的关键,如下图。 如上图遇到这个问题一般是因为你 AndroidManifest.xml中的红色部分出现了问题。如下查找你的AndroidManifest.xml如 &amp;lt;provider       android:name=&quot;com.umeng.facebook.FacebookContentProvider&quot;      android:aut...

Installation error: INSTALL_FAILED_VERSION_DOWNGRADE

xmlns:android="http://schemas.android.com/apk/res/android"           package="string"           android:sharedUserId="string"           android:sharedUserLabel="string resource"            android:ver

Android系统移植与调试之------->安装apk时出现错误Failure [INSTALL_FAILED_DEXOPT]问题解决的方法...

在android4.0源码里面编译出来apk后,用adbinstall (或adb install -r 重装)安装时,报错[INSTALL_FAILED_DEXOPT]。 xu@xu-PC:~$ adb install workspace/out/target/product/generic/system/app/xxx.apk 2820 KB/s (225970 bytes in 0.07...

LaTeX学习:Texlive 2019和TeX studio的安装及使用

文章目录1. LaTex介绍2. Texlive2019的下载和安装(1) 下载(2) 安装3. TeXstudio的安装以及简单使用(1) 设置中文界面(2) 添加行号(3) 设置编译器与编码(4) 第一个简单程序4. 扩展 1. LaTex介绍 LaTeX 基于 TeX,主要目的是为了方便排版。在学术界的论文,尤其是数学、计算机等学科论文都是由 LaTeX 编写, 因为用它写数学公式非常漂亮。...

Installation error: INSTALL_FAILED_VERSION_DOWNGRADE Android

我们在安装新的 APk 的时候,会出现  <em>Installation</em> <em>error</em>: INSTALL_FAILED_VERSION_DOWNGRADE 原因:  是因为 androidversionCode 的原因,我们手机里面的APP 的 versionCode 高于将要安装的 APP! <em>error</em>: [2015-03-17 16:52:21 - HoleYo

Android dex替换出错:DexOpt

具体是想要替换dex,在DexClassLoader时,出现 ``` ClassLoader localClassLoader = ClassLoader.getSystemClassLoader(); this.mDexClassLoader = new DexClassLoader(str2, paramContext.getDir("dex", 0).getAbsolutePath(), null, localClassLoader); ``` 错误如下: ``` DexOpt: source file mod time mismatch (48f484b5 vs 48f484d2) ODEX file is stale or bad; removing and retrying (/data/data/com.example.test/app_dex/Test.dex) DexOpt: --- BEGIN 'Test.jar' (bootstrap=0) --- DexOpt: --- END 'Test.jar' (success) --- DEX prep '/data/data/com.example.test/files/Test.jar': unzip in 1ms, rewrite 48ms Fatal signal 7 (SIGBUS) at 0x970232af (code=2), thread 2081 (om.example.test) ``` 是不是之前的dex还在运行中,所以替换会出错,还是其他原因,求高手帮忙

android studio下运行flutter提示连接不上android设备

在android studio里开发flutter项目,flutter和dart插件都安装了,各种配置环境都配好了,但是运行项目还是提示没有可连接的设备,运行android studio项目就可以运行,但是运行flutter项目就连不上设备 ![图片说明](https://img-ask.csdn.net/upload/201912/18/1576647083_176276.jpg) 输入flutter doctor显示如图 ![图片说明](https://img-ask.csdn.net/upload/201912/20/1576809036_857979.jpg)

遇到INSTALL_FAILED_VERIFICATION_FAILURE怎么办

  首先要说明,不一定能解决。   先试试:   adb shell settings put global verifier_verify_adb_installs 0   adb shell settings put global package_verifier_enable 0     一般情况下,并不能解决。   这时,可以将apk放到这个目录下:   /system/ap...

Android:安装时提示:INSTALL_FAILED_INSUFFICIENT_STORAGE

Android:安装时提示:<em>INSTALL_FAILED_INSUFFICIENT_STORAGE</em>总体来说,Android开发还是不如微软做的好啊,当然,毕竟开发的环境也不同,可以理解。今天就遇到了一件这样的事儿。刚刚还好好的可以下载调试的程序,突然做了一个ADB SHELL操作后,再向下传安装时就会报:“Android安装时提示:INSTALL_FAILED_INSUFFICIENT_STORA

昨天遇到个dexopt失败的奇怪问题,记录一下

昨天写个应用,push到系统中,不能被识别安装了应用,重启后桌面会出现图标,但是点击就会运行失败,log如下 E/dalvikvm( 2114): Bogus handler offset: 0x4 E/dalvikvm( 2114): Trouble with item 108 @ offset 0x3f9f4 E/dalvikvm( 2114): Swap of section type

解决INSTALL_FAILED_INSUFFICIENT_STORAGE调试错误的解决

由于程序安装包较大,在模拟器上安装时经常出现<em>INSTALL_FAILED_INSUFFICIENT_STORAGE</em>提示。 后在网上搜索,找到解决方法如下: &amp;lt;manifest xmlns:android=&quot;http://schemas.android.com/apk/res/android&quot; package=&quot;com.andrewsmith.android.darkness&quot; andr...

解决:install error: Failure [INSTALL_FAILED_USER_RESTRICTED] Error launching application on MI NOTE

一、问题描述 Android Studio 连接小米手机编译打包时提示以下错误: Package install <em>error</em>: Failure [INSTALL_FAILED_USER_RESTRICTED] Error launching application on MI NOTE LTE. 二、解决方案 按以下步骤一步步进入设置 系统设置 更多设置 开发者选项 USB安装(允...

Android问题集锦之六:Installation error: INSTALL_FAILED_INSUFFICIENT_STORAGE 错误的解决与模拟器内存的设置与查看

问题分析: 这是由于内存不足引起的。 比如我要用一个大的图片或音乐,40+MB的,在模拟器中启动就会发生这个错误。 问题解决: 如果使用模拟器,就可以手动扩大它的内存,命令为: emulator -avd G8 -partition-size 150

安卓应用安装错误:INSTALL_FAILED_MEDIA_UNAVAILABLE 解决方法

今天工作中,安装自己的产品怎么都装不上去,然后在网上找了好多方法,现在整理一下: 方法一: 这个问题的原因为Android应用安装位置当前不可用。而Android应用安装位置有手机rom内和sdcard两种。由于Android设备没有sdcard便有可能出现INSTALL_FAILED_MEDIA_UNAVAILABLE。 解决方法: 在AndroidManif

Android Installation error: INSTALL_FAILED_INSUFFICIENT_STORAGE

在Eclipse中部署程序到Android模拟器中的时候,可能会出现如下错误:<em>Installation</em> <em>error</em>: <em>INSTALL_FAILED_INSUFFICIENT_STORAGE</em>Please check logcat output for more details.Launch canceled!原因是,模拟器默认的内存比较小,如果程序的APK安装包过大了,就无法部署成功了。 解决办法:

Installation error: INSTALL_FAILED_CANCELLED_BY_USER

我的手机本来是支持Androidstadio 调试手机的,我手机小米的,后来,系统升级了,我也没在意,第二天上班,已运行就报错: <em>Installation</em> <em>error</em>: INSTALL_FAILED_CANCELLED_BY_USER 我都没有拒绝啊。我还以为怎么了,也没有仔细去向为什么。这是我的错,不去想为什么。 今天我玩手机,无意中看到是否允许手机root,...

Android真机测试安装时报错Installation error: INSTALL_FAILED_DEXOPT

Consle报错信息: [2015-02-26 11:13:31 - ] <em>Installation</em> <em>error</em>: INSTALL_FAILED_DEXOPT [2015-02-26 11:13:31 - ] Please check logcat output for more details. [2015-02-26 11:13:31 - ] Launch canceled! 以前的一个...

模拟器安装apk失败 Installation error: INSTALL_FAILED_CONTAINER_ERROR

原来只要把原来安装的apk卸载了,再装就好了。至少我能解决

INSTALL_FAILED_NO_MATCHING_ABIS 的解决办法 分类: ...

在Android模拟器上安装apk的时候出现  INSTALL_FAILED_NO_MATCHING_ABIS 这个错误提示的解决办法。 是由于使用了native libraries。该native libraries不支持当前的cpu的体系结构。 INSTALL_FAILED_NO_MATCHING_ABIS is when you are ...

关于Installation failed的情况及解决方案

Android Studio: Application <em>Installation</em> Failed Failure [INSTALL_PARSE_FAILED_MANIFEST_MALFORMED: Failed parse during installPackageLI: /data/app/vmdl1028823254.tmp/base.apk (at Binary XML file line #97):

手机安装apk出现INSTALL_FAILED_INSUFFICIENT_STORAGE

方法1:     卸载一些应用:设置->应用管理->选择不需要的应用->卸载 applications-> select the application->select "unistall".释放更多内存空间如果不见效参考方法2 方法2: 修改manifest文件 :添加 :   android:installLocation="preferExternal"

Android之机端安装apk出现INSTALL_FAILED_INSUFFICIENT_STORAGE错误的解决方法

1、错误 <em>INSTALL_FAILED_INSUFFICIENT_STORAGE</em> 2、解决办法 是由于手机存储不足了,删除一些app,给手机留下足够的空间即可。

Android:真机调试遇到的问题(INSTALL_FAILED_CANCELLED_BY_USER和INSTALL_FAILED_INSUFFICIENT_STORAGE)...

Android:真机调试遇到的问题(INSTALL_FAILED_CANCELLED_BY_USER和<em>INSTALL_FAILED_INSUFFICIENT_STORAGE</em>) 刚开始做Android开发,环境配置好之后,本想进行第一个Android程序HelloWorld的调试运行,但遇到了许多的麻烦,下面是我遇到的麻烦及解决办法; (1)计算机不支持模...

Android之运行app提示The application could not be installed: INSTALL_FAILED_TEST_ONLY

1、问题 笔记本新安装的Android studio(版本3.5.2)运行最简单的程序,错误提示如下 The application could not be installed: INSTALL_FAILED_TEST_ONLY 2、分析 高版本的Android studio里面AndroidManifest.xml文件默认如下 android:testOnly=...

Flutter开发报错:Error: ADB exited with exit code 1 Performing Streamed Install,一直报这个错,求各位大神帮忙如何解决?

![图片说明](https://img-ask.csdn.net/upload/202001/08/1578444083_268355.png) Error: ADB exited with exit code 1 Performing Streamed Install adb: failed to install E:\20190102\login_app\build\app\outputs\apk\app.apk: Failure [<em>INSTALL_FAILED_INSUFFICIENT_STORAGE</em>] Error launching application on Android SDK built for x86. 在运行简单的HelloWorld的时候出现这个错误,原来是没有这种情况的,突然的就报这个错,很无奈啊,已经网上找了很多方法还是没法解决,现求各位大神帮忙解决一下

[Android--Tool][INSTALL_FAILED_INSUFFICIENT_STORAGE]问题及解决

简述Android在发布安装APK时出现了[<em>INSTALL_FAILED_INSUFFICIENT_STORAGE</em>]这个错误。开始以为是自己Android设备有问题,因为我使用的Android设备是定制的,Nand flash很小,不过看了下内部flash空间还剩下40M,安装这个APK应当不会出错才对。于是重新烧写了一遍Android系统后,再尝试安装该APK,还是不能。解决从SD卡槽插入一张8G

关于模拟器不能运行项目问题:Installation error: INSTALL_FAILED_INSUFFICIENT_STORAGE

我有一个习惯,当做完某一项功能时就想试试运行效果。所以一个程序完成前会运行无数遍。但是有时会出现不能运行的问题,并且这个问题不是来自项目的错误,显示器显示如下错误: [2013-08-31 08:45:29 - Store] Uploading Store.apk onto device 'emulator-5556'[2013-08-31 08:45:31 - Store] Installat...

install failed insufficient storage, 解决 ADB 安装APK失败问题。

最近有个项目需要用 Python 调用 Adb install 进行 APK的安装。可是会经常发现 APK 不能正常安装,错误提示为 <em>INSTALL_FAILED_INSUFFICIENT_STORAGE</em>。 解决了这个问题之后顺便写个笔记记录一下。 Why其实,在应用第一次安装的时候,APK 文件会被保存在如下路径中:/data/app/\-1.apk当这个 APK 文

大家可以说说flutter开发的一些坑

最近在学习google的flutter,虽然flutter经过那么久的开发,已经日益完善,但是开发过程中还是会有许多坑。 在这我先说说我碰到的坑: 在andriod模拟器上调试正常,但是在ios模拟器

Session 'app': Installation did not succeed.The application could not be installed: INSTALL FAILED I

在Android Studio中使用模拟器进行调试的时候,会出现错误信息无法进行模拟器调试 错误信息 Session 'app': <em>Installation</em> did not succeed.The application could not be installed: INSTALL FAILED INSUFFICIENT STORAGE Retry 要想解决这个问题,我们首先要知道错误是什么?...

Installation error: INSTALL_FAILED_INSUFFICIENT_STORAGE解决

刚开始学习android,今天测试SDK里带的例子JetBoy时,出现了个错误<em>Installation</em> <em>error</em>: <em>INSTALL_FAILED_INSUFFICIENT_STORAGE</em> 上网搜了下,原来是虚拟机内存不够,在eclipse里解决方法如下: 在 run configurations的target标签里最下面,加上参数-partition-size 256 如图 然后启...

调试android程序过程中出现:INSTALL_FAILED_INSUFFICIENT_STORAGE

最近在用模拟器调试android项目时,频繁出现以下错误提示:<em>Installation</em> <em>error</em>: <em>INSTALL_FAILED_INSUFFICIENT_STORAGE</em>Please check logcat output for more details.Launch canceled!也知道这是空间不够用,可是就是不知道怎么解决这个问题。 在网上找了一些解决方法,第一种说

这文件进度的代码?????

![图片说明](https://img-ask.csdn.net/upload/201602/06/1454732979_83931.jpg) ![图片说明](https://img-ask.csdn.net/upload/201602/06/1454732993_802723.jpg) ``` #include "progressdlg.h" #include #include ProgressDlg::ProgressDlg(QWidget *parent) : QDialog(parent) { QFont font("ZYSong18030",12); setFont(font); setWindowTitle(tr("Progress")); FileNum=new QLabel; FileNum->setText(tr("文件数目:")); FileNumLineEdit=new QLineEdit; FileNumLineEdit->setText(tr("100000")); ProgressType=new QLabel; ProgressType->setText(tr("显示类型:")); comboBox=new QComboBox; comboBox->addItem(tr("progressBar")); comboBox->addItem(tr("progressDialog")); progressBar=new QProgressBar; starBtn=new QPushButton; starBtn->setText(tr("开始")); mainLayout=new QGridLayout(this); mainLayout->addWidget(FileNum,0,0); mainLayout->addWidget(FileNumLineEdit,0,1); mainLayout->addWidget(ProgressType,1,0); mainLayout->addWidget(comboBox,1,1); mainLayout->addWidget(progressBar,2,0,1,2); mainLayout->addWidget(starBtn,3,1); mainLayout->setMargin(15); mainLayout->setSpacing(10); connect(starBtn,SIGNAL(clicked(bool)),this,SLOT(startProgress())); } void ProgressDlg::startProgress() { bool ok; int num=FileNumLineEdit->text().toInt(&ok); if(comboBox->currentIndex()==0) { progressBar->setRange(0,num); for(int i=1;isetValue(i); } } else if(comboBox->currentIndex()==1) { QProgressDialog *progressDialog=new QProgressDialog(this); QFont font("ZYSong18030",12); progressDialog->setFont(font); progressDialog->setWindowModality(Qt::WindowModal); progressDialog->setMinimumDuration(5); progressDialog->setWindowTitle(tr("Please Wait")); progressDialog->setLabelText(tr("Copying ...")); progressDialog->setCancelButtonText(tr("Cancel")); progressDialog->setRange(0,num); for(int i=1;isetValue(i); if(progressDialog->wasCanceled()) return; } } } ProgressDlg::~ProgressDlg() { } ```

Google Android 7.0 GMS测试常见fail项以及分析解决方法

自从Google 7.0系统发布开始以来,所有使用Googl gms 包服务的第三方厂商出货必须都要过GMS认证,而在2018年预计Android 8.1系统上要求将更为严格。。本篇博客列举展讯7731g 7.0平台GMS测试过程中常见的问题以及解决办法或者思路。 本篇博客分为三个部分: 一、客制需求阶段需要注意的GMS相关的修改 二、CTS常见fail 项分析 三、GTS常见fail项分...

LaTeX编译遇到问题

用的texstudio,今天上午还编译成功了,下午就坏了。 错误显示为: Error: Could not start the command: pdflatex.exe -synctex=1 -in

自己写的windows服务 无法安装 然后在任务管理器上面一直显示正在启动 也无法关闭

![图片说明](https://img-ask.csdn.net/upload/201605/20/1463714580_246043.png) ![图片说明](https://img-ask.csdn.net/upload/201605/20/1463714590_792155.png) 自己写的windows服务 无法安装 然后在任务管理器上面一直显示正在启动 也无法关闭 ,但是里面的进程却一直在运行

Android安装遇到的异常Installation did not succeed. The application could not be installed: INSTALL_PARSE_FA

<em>Installation</em> did not succeed. The application could not be installed: INSTALL_PARSE_FAILED_INCONSISTENT_CERTIFICATES <em>Installation</em> failed due to: 'null' 重新卸载该APP,重新安装。

eclipse Installation error: Unknown failure 错误解决方法

注意: 此文针对部署到模拟器能正常运行,部署到手机出现 <em>Installation</em> <em>error</em>: Unknown failure 的问题 console弹出如下提示: [2016-04-11 19:20:37 Test] —————————— [2016-04-11 19:20:37 Test] Android Launch! [2016-04-11 19:20:37 Test] adb is run

安装texlive2017报错问题总结

捯饬了一下午,不知道自己为什么会错误,现在把自己走过的错路总结一下首先从https://tug.org/texlive/windows.html网站上下载这个exe软件,接着错误1来了,错误1:双击直接运行EXE文件,选择custome setup --再选择continue 安装 其中最后两项要慎重,建议选否然后一直一直安装 大概需要3-5个G,然后安装着安装着即断了,网速不好,这个路不通去掉错...

The application could not be installed: INSTALL_PARSE_FAILED_BAD_PACKAGE_NAME

<em>Installation</em> did not succeed. The application could not be installed: INSTALL_PARSE_FAILED_BAD_PACKAGE_NAME <em>Installation</em> failed due to: 'null'

windows 安装 Latex

重点:先装 Texlive ,再装 TexStudio (除了 Texlive+TexStudio,也可以选择其他的搭配,看个人喜好),注意,顺序不要反,如果反了则需要手动地设置很多东西,很麻烦)效果展示:...

INSTALL_FAILED_INSUFFICIENT_STORAGE

<em>INSTALL_FAILED_INSUFFICIENT_STORAGE</em> [2012-06-19 14:06:47 - Icontacts] <em>Installation</em> <em>error</em>: <em>INSTALL_FAILED_INSUFFICIENT_STORAGE</em> [2012-06-19 14:06:47 - Icontacts] Please check logcat output for mor...

LeetCode第176场周赛(Weekly Contest 176)解题报告

又是一周掉分之旅,我发现,LeetCode周赛的数据好水,所以有的时候,实在没思路,先暴力解决试试(即使分析出时间复杂度会超时),比如第二题和第三题都可以暴力通过,GG思密达。 这周主要使用了数据结构中的:优先队列。即当我们动态改变一个数组的值,同时每一次都想知道其中的最大值(或者最小值),那么可以考虑使用 优先队列。其存取的时间复杂度是 O(logN),N 是优先队列中的个数。 第一题:暴力...

请教各位高手一个很奇怪的问题,在真机上adb install安装不上

adb install -r TEST1.APK 1586 KB/s (50369 bytes in 0.029s) pkg: /data/local/tmp/TEST1.APK Failure 这个

installation failed with message INSTALL_FAILED_INSUFFICIENT_STORG

在安装APK的时候有时候会出现这种错误,原因是卸载之前的APK不彻底,有残余,手动删除android目录下相关的文件。 转载于:https://www.cnblogs.com/tangZH/p/9489640.html...

Android安装apk时报 INSTALL_FAILED_INSUFFICIENT_STORAGE 错误的解决方法

package="xxx"  android:installLocation="preferExternal" //增加此行  android:versionCode="1"  android:versionName="1.0" > 可以这样,但不能治本: package="xxx"  android:installLocation="preferExternal" -----

关于texlive2018的安装问题,求助各位大神!

安装了大部分后,提示安装失败,出现图中的提示,请问这是怎么回事了!万分感谢!

安装apk时出现错误Failure [INSTALL_FAILED_DEXOPT]问题解决的方法

这个是因为你编译程序产生的apk是经过dex 优化的。你可以在makefile里加上LOCAL_DEX_PREOPT := false 再重新生成apk,再安装试试。

Installation error: INSTALL_FAILED_INSUFFICIENT_STORAGE解决方法

最近在做真机测试的时候,经常出现<em>Installation</em> <em>error</em>: INSTAL L_FAILED_INSUFFICIENT_STORAGE这个问题,导致apk没法安装到是手机上,在eclipse中运行Android程序默认是将程序安装到手机的Rom中,如果Rom空间不足,就会提示这个错误。 解决办法: 在AndroidManifest.xml文件中,增加下面红色部分代码,让应用程序

Installation failed with message INSTALL_FAILED_TEST_ONLY问题

在gradle.properties文件中添加android.injected.testOnly=false

AndroidStudio提示“INSTALL_FAILED_INSUFFICIENT_STORAGE”"Do you want to uninstall the existing ..."

工作环境(蓝色粗体字为特别注意内容) 1,系统环境:Win7 Ultimate sp1、Android Studio 3.2、gradle 4.6 今天在使用AndroidStudio调试的时候,发现一个奇怪的报错。 <em>Installation</em> failed with message <em>INSTALL_FAILED_INSUFFICIENT_STORAGE</em>. It is possible that...

Flutter实现返回按钮不退出app。

各位大佬求教个问题,怎么实现点手机的实体的返回键不会退出程序只是回到桌面,我现在用WillPopScope监听到了返回键操作然后设置返回无效,但是不知道怎么实现回到桌面。感谢。 ``` Future _onWillPop() { return Future.value(false); } Widget _buildTextComposer() { return new WillPopScope( onWillPop: _onWillPop, child: new IconTheme( data: new IconThemeData(color: Theme.of(context).accentColor), child: new Container( margin: const EdgeInsets.symmetric(horizontal: 8.0), child: new Row(children: [ new Flexible( child: new TextField( controller: _textController, onSubmitted: _handleSubmitted, decoration: new InputDecoration.collapsed(hintText: '发送消息'), )), new Container( margin: new EdgeInsets.symmetric(horizontal: 4.0), child: new IconButton( icon: new Icon(Icons.send), onPressed: () => _handleSubmitted(_textController.text)), ) ])))); } ```

如何下载github中部分的文件

首先 需要先装个虚拟机 再装个Ubuntu 我用的是18.04 确保网络联通的情况下 先安装SVN工具 之后开启服务器 再使用下述的方法进行操作 使用svn工具,在ubuntu下:apt install subversion 然后cd到文件夹中,开启服务器svnserve -d -r [file] 这里的file是这是的svn服务器位置,可以在任意地方新建一个文件夹。 例如:#...

安装LaTex的方法

作者:SiyuanLi   安装教程总结             通过http://www.math.sci.hokudai.ac.jp/~abenori/soft/abtexinst.html获取安装器文件压缩包         展开压缩文件中的abtexinst文件         双击abtexinst.exe             点击下一步             设定下载路径

简单爬虫测试Python

简单的一个爬虫python程序 目的 获取对应网页上的汉字字典内容 知识点 使用python中的两个库:获取http请求的库(requests)和正则表达式的库(re) 过程 先通过获取http请求的网页源代码,然后通过查看想要爬虫的内容在网页源代码中的位置结构,接着通过正则表达式去搜索检测,得到想要的内容。 重要的就是,如何写出准确的正则表达式,获取我们想要的内容进行准确匹配。 ...

[工具安装记][xz] xz format: source compilation installation

1,download url :  http://tukaani.org/xz/ On Pages:

flutter Android配置时出现下面问题,死活解决不了,请大佬帮忙。。。。。

* Error running Gradle: ProcessException: Process "C:\Users\Downloads\fluttermusic\android\gradlew.bat" exited abnormally: > Configure project :app IOException: https://dl.google.com/android/repository/addons_list-3.xml java.io.IOException: Unable to tunnel through proxy. Proxy returns "HTTP/1.1 407 Proxy Authentication Required" IOException: https://dl.google.com/android/repository/addons_list-2.xml java.io.IOException: Unable to tunnel through proxy. Proxy returns "HTTP/1.1 407 Proxy Authentication Required" IOException: https://dl.google.com/android/repository/addons_list-1.xml java.io.IOException: Unable to tunnel through proxy. Proxy returns "HTTP/1.1 407 Proxy Authentication Required" Failed to download any source lists! java.io.IOException: Unable to tunnel through proxy. Proxy returns "HTTP/1.1 407 Proxy Authentication Required" FAILURE: Build failed with an exception. * Where: Build file 'C:\Users\F2846804\Downloads\fluttermusic\android\build.gradle' line: 32 * What went wrong: A problem occurred evaluating root project 'android'. > A problem occurred configuring project ':app'. > Failed to find Build Tools revision 28.0.3 * Try: Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output. Run with --scan to get full insights. * Get more help at https://help.gradle.org BUILD FAILED in 1s Command: C:\Users\Downloads\fluttermusic\android\gradlew.bat app:properties Finished with <em>error</em>: Please review your Gradle project setup in the android/ folder.

在Eclipse的order and export里面需要把用到的第三方包勾选上吗?

在Eclipse的order and export里面需要把用到的第三方包勾选上吗?比如用到AchartEngine绘图,不勾选会怎么样?

对于sublime无法安装latex出错

源地址:https://forum.sublimetext.com/t/python-jinja2-package-install-problem/29120/2

LaTex 安装与软件推荐

参考帖子 【转】LaTeX新手入门以及TeXlive和TeXstudio的安装使用https://blog.csdn.net/zywhehe/article/details/83113214 【转】TeX Live安装教程https://blog.csdn.net/aiwei169/article/details/81431363 【转】基于TeXlive,使用Sublime Tex...

win10系统逆向多dex文件

比如一个apk文件是haha.apk将它改为haha.zip解压后得到两个dex文件分别为 1.dex 2.dex 通常情况是 d2j-dex2jar.bat 1.dex 得到1.jar d2j-dex2jar.bat 2.dex 得到2.jar 看到这篇文章 https://blog.csdn.net/class_brick/article/details/72782772 里面说d2j-dex2jar.sh xxxx.apk可以直接将多个dex变成一个jar包 我运行d2j-dex2jar.sh haha.apk 并没有得到任何文件 我需要运行什么命令才能使多个dex变成一个jar包? 自己已解决: win系统下dex2jar 2.1直接 d2j-dex2jar.bat xxxx.apk

Installation failed with message:INSTALL_CANCELED_BY_USER

最近真机调试遇到的问题 查了很多方法都无效 最后发现时开发者选项中的usb安装未打开.. 最后打开之后就出现了以下界面 终于能够真机调试了 自己其实并没有关过 至于原因嘛,感觉应该是miui版本升级之后自动设置的..!!! 不过最后终于可以了 希望同样问题的人能够解决

Android Studio运行在真机运行程序报Failure [INSTALL_FAILED_OLDER_SDK]的解决办法

程序源码的app目录下有个“build.gradle”文件,内容如下: 将上图中的两个值修改为10后,程序就可以在真机设备中运行了

大学四年自学走来,这些私藏的实用工具/学习网站我贡献出来了

大学四年,看课本是不可能一直看课本的了,对于学习,特别是自学,善于搜索网上的一些资源来辅助,还是非常有必要的,下面我就把这几年私藏的各种资源,网站贡献出来给你们。主要有:电子书搜索、实用工具、在线视频学习网站、非视频学习网站、软件下载、面试/求职必备网站。 注意:文中提到的所有资源,文末我都给你整理好了,你们只管拿去,如果觉得不错,转发、分享就是最大的支持了。 一、电子书搜索 对于大部分程序员...

遗传算法求解程序下载

遗传算法求解程序,做算法的有用,希望对大家有帮助 相关下载链接:[url=//download.csdn.net/download/haorenzdx/4999972?utm_source=bbsseo]//download.csdn.net/download/haorenzdx/4999972?utm_source=bbsseo[/url]

Effective Modern C++下载

Effective Modern C++ 相关下载链接:[url=//download.csdn.net/download/cntigercn/10846205?utm_source=bbsseo]//download.csdn.net/download/cntigercn/10846205?utm_source=bbsseo[/url]

360度意见收集模版下载

360度意见收集模版. 相关下载链接:[url=//download.csdn.net/download/houkai2009/2885297?utm_source=bbsseo]//download.csdn.net/download/houkai2009/2885297?utm_source=bbsseo[/url]

我们是很有底线的